package com.c503.ca.cadv.common.config;

import com.c503.ca.cadv.common.util.converter.OrikaLocalDateConverter;
import com.c503.ca.cadv.common.util.converter.OrikaLocalDateTimeConverter;
import ma.glasnost.orika.MapperFactory;
import net.rakugakibox.spring.boot.orika.OrikaMapperFactoryConfigurer;
import org.springframework.stereotype.Component;

/**
 * Orika配置
 *
 * @author liaow
 */
@Component
public class OrikaConfiguration implements OrikaMapperFactoryConfigurer {

    @Override
    public void configure(MapperFactory orikaMapperFactory) {
        orikaMapperFactory.getConverterFactory().registerConverter(new OrikaLocalDateTimeConverter());
        orikaMapperFactory.getConverterFactory().registerConverter(new OrikaLocalDateConverter());
    }
}
