package com.c503.ca.cadv.common.event;

import com.c503.ca.cadv.common.util.spring.SpringContextHolder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;

/**
 * spring 事件发布类
 *
 * @author liaow
 */
@Slf4j
public class EventPublisher {

    private static ApplicationContext getApplicationContext() {
        return SpringContextHolder.getApplicationContext();
    }

    public static void publish(ApplicationEvent event) {
        getApplicationContext().publishEvent(event);
    }
}
