package com.c503.ca.cadv.common.util.domain;

public enum StatusEmun {
    /**
     * 接口返回消息类型枚举
     */
    MSG_TYPE_INFO(0),
    MSG_TYPE_SUCCESS(1),
    MSG_TYPE_WARNING(2),
    MSG_TYPE_ERROR(3);

    private final int status;

    StatusEmun(int status) {
        this.status = status;
    }

    public static StatusEmun valueOf(int value) {
        StatusEmun state = null;
        for (StatusEmun enumObj : values()) {
            if (value == enumObj.status) {
                return enumObj;
            }
        }
        return state;
    }

    public int getStatus() {
        return status;
    }
}
