package com.c503.ca.cadv.common.mvc.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class TreeAssignIdEntity<PK extends Serializable> extends TreeEntity<PK> {

    private static final long serialVersionUID = 1L;
    @TableId(value = F_SQL_ID, type = IdType.ASSIGN_ID)
    protected PK id;

    public TreeAssignIdEntity() {
        super();
    }

    @Override
    public PK getId() {
        return this.id;
    }
}
