package com.c503.ca.cadv.enhance.arthas;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "arthas")
@Getter
@Setter
public class ArthasProperties {
    private String ip;
    private int telnetPort;
    private int httpPort;
    private String tunnelServer;
    //    private String agentId;
    private String appName;
    private String statUrl;
    private long sessionTimeout;
    private String home;
    private boolean slientInit = true;

    public ArthasProperties() {
    }

    public String getHome() {
        return this.home;
    }

    public void setHome(String home) {
        this.home = home;
    }

    public boolean isSlientInit() {
        return this.slientInit;
    }

    public void setSlientInit(boolean slientInit) {
        this.slientInit = slientInit;
    }

    public String getIp() {
        return this.ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getTelnetPort() {
        return this.telnetPort;
    }

    public void setTelnetPort(int telnetPort) {
        this.telnetPort = telnetPort;
    }

    public int getHttpPort() {
        return this.httpPort;
    }

    public void setHttpPort(int httpPort) {
        this.httpPort = httpPort;
    }

    public String getTunnelServer() {
        return this.tunnelServer;
    }

    public void setTunnelServer(String tunnelServer) {
        this.tunnelServer = tunnelServer;
    }

    public String getStatUrl() {
        return this.statUrl;
    }

    public void setStatUrl(String statUrl) {
        this.statUrl = statUrl;
    }

    public long getSessionTimeout() {
        return this.sessionTimeout;
    }

    public void setSessionTimeout(long sessionTimeout) {
        this.sessionTimeout = sessionTimeout;
    }

    public String getAppName() {
        return this.appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }
}
