package com.c503.ca.cadv;

import com.c503.ca.cadv.module.cluster.core.monitor.ClusterMonitor;
import de.codecentric.boot.admin.server.config.EnableAdminServer;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@SpringBootApplication
@EnableAdminServer
public class SysServiceBoot implements ApplicationRunner {

    public static void main(String[] args) {
        try {
            SpringApplication.run(SysServiceBoot.class, args);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    @Override
    public void run(ApplicationArguments args) throws Exception {
        ClusterMonitor.init();
    }
}
