package com.c503.ca.cadv.module.check.domain.orin.racpa;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author jintch
 */
@Data
@XStreamAlias("struRacpaData")
public class StruRacpaData {

    /**
     * 落区返回启动时间
     */
    @XStreamAlias("EPOCH_RETURN")
    private String epochReturn;

    /**
     * 落区自动应急返回制动速度增量
     */
    @XStreamAlias("DV")
    private String dv;

    /**
     * 落区1制动发动机关机时刻修正量
     */
    @XStreamAlias("DTXZ")
    private String dtxz;

    /**
     * 落区1推返分离时刻修正量
     */
    @XStreamAlias("DTMK")
    private String dtmk;

    /**
     * 落区1落点位置经度
     */
    @XStreamAlias("LONG_LAND_LOCUS")
    private String longLandLocus;

    /**
     * 落区1落点位置纬度
     */
    @XStreamAlias("LATI_LAND_LOCUS")
    private String latiLandLocus;
}
