package com.c503.ca.cadv.module.check.domain.orin.rpppc;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.Data;

import java.util.List;

/**
 * rpppc.xml对象
 */
@Data
@XStreamAlias("cmlRoot")
public class RpppcXDO {

    /**
     * 文件名
     */
    @XStreamAlias("cFileName")
    private String cFileName;

    /**
     * 文件名
     */
    @XStreamAlias("strRpppc_Body")
    @XStreamImplicit
    private List<StrRpppcBody> strRpppcBodyList;
}
