package com.c503.ca.cadv.module.check.domain.orin.rsbeod;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.Data;

import java.util.List;

/**
 * @author jintch
 */
@Data
@XStreamAlias("struRsbeod")
public class StruRsbeod {

    /**
     * 测站代码
     */
    @XStreamAlias("OBSERVE_NAME")
    private String observeName;

    /**
     * 起始时间(北京时)
     */
    @XStreamAlias("START_TIME")
    private String startTime;

    @XStreamAlias("struRsbeodData")
    @XStreamImplicit
    private List<StruRsbeoData> struRsbeoDataList;
}
