package com.c503.ca.cadv.module.cmp.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("rev_cal_cmd_param")
public class RevCalCmdParam extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    @TableField("config_id")
    private String configId;

    @TableField("cmd_code")
    private String cmdCode;

    @TableField("data_no")
    private String dataNo;

    @TableField("target_code")
    private String targetCode;

    @TableField(exist = false)
    private String cmdParamName;

    @TableField(exist = false)
    private String cmdName;
}
