package com.c503.ca.cadv.module.cmp.xml;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@XStreamAlias("revCalConfig")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RevCalConfigXml {

    @XStreamAlias("sourceValue")
    private String sourceValue;

    @XStreamAlias("targetValue")
    private String targetValue;

    @XStreamAlias("targetCode")
    private String targetCode;

    @XStreamAlias("type")
    private Integer type;

    @XStreamAlias("precision")
    private String precision;

    @XStreamAlias("allowableError")
    private String allowableError;

    @XStreamAlias("revCalCmdParam")
    @XStreamImplicit
    private List<RevCalCmdParamXml> revCalCmdParamXmlList;
}
