package com.c503.ca.cadv.module.config.domain;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class OrgDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    protected String id;

    protected String description;

    /*** 组织编码 */
    private String code;

    /*** 拼音简码 */
    private String en;

    /*** 机构类型（1：公司；2：总部） */
    private String type;

    /*** 机构等级（1：一级；2：二级；3：三级；4：四级） */
    private String grade;

}
