package com.c503.ca.cadv.module.config.domain;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
public class RoleDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    protected String id;

    protected String description;

    /*** 角色名称 */
    private String name;

    /*** 名称全拼 */
    private String en;

    /*** 工作流组用户组类型（security-role：管理员、assignment：可进行任务分配、user：普通用户） */
    private String type;

    /*** 组织ID */
    private String orgId;

    /*** 是否系统数据  0 是 1否*/
    private Integer sysData;

    /*** 可查看的数据范围 */
    private Integer dataScope;

    private Integer sort;

    private List<String> moduleIdList;

    private List<String> orgIdList;
}
