/*
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import com.c503.ca.cadv.module.info.domain.enums.CatalogType;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("info_catalog")
public class Catalog extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    /**
    * 目录名称
    */
    @TableField("catalog_name")
    private String catalogName;

    /**
    * 类别
    */
    @TableField("catalog_type")
    private CatalogType catalogType;

    /**
    * 路径
    */
    @TableField("path_")
    private String path;

    /**
    * 描述
    */
    @TableField("description_")
    private String description;


}
