/**
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
* <p>
*
* </p>
*
* @author jintch
*/
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("info_target")
public class Target extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    public static final String IMG_SAVE_PATH = "/targetImg/";

    /**
     * 目标代码
     */
    @TableField("target_code")
    private String targetCode;

    /**
     * 目标代号
     */
    @TableField("target_no")
    private String targetNo;

    /**
    * 所属任务ID
    */
    @TableField("task_id")
    private String taskId;

    /**
    * 目标名称
    */
    @TableField("target_name")
    private String targetName;

    /**
    * 目标类型
    */
    @TableField("target_type")
    private Integer targetType;

    /**
     * 注入数据名规则
     */
    @TableField("inj_name_rule")
    private String injNameRule;

    @TableField("has_dc")
    private Boolean hasDc;

    /**
     * 图片
     */
    @TableField("target_img")
    private String targetImg;

    /**
    * 应用时间
    */
    @TableField("apply_time")
    private Date applyTime;

    /**
    * 描述
    */
    @TableField("description_")
    private String description;


    @TableField("status_")
    private Integer status;



}
