/*
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("info_target_zb")
public class TargetZb extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    /**
    * 目标ID
    */
    @TableField("target_id")
    private String targetId;

    /**
    * 主机ftp ID
    */
    @TableField("main_id")
    private String mainId;

    /**
    * 备机ftp ID
    */
    @TableField("standby_id")
    private String standbyId;

}
