/*
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.DataEntityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="TargetZb对象", description="目标主备机表")
public class TargetZbVO extends DataEntityVO<String> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "目标ID", example = "1")
    private String targetId;

    @ApiModelProperty(value = "主机ftp ID", example = "1")
    private String mainId;

    @ApiModelProperty(value = "备机ftp ID", example = "1")
    private String standbyId;


}
