package com.c503.ca.cadv.module.info.service;

import com.c503.ca.cadv.common.mvc.service.DataVOService;
import com.c503.ca.cadv.module.info.domain.TargetZb;
import com.c503.ca.cadv.module.info.domain.vo.TargetZbVO;
import com.c503.ca.cadv.module.info.repository.TargetZbRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author hyx
 * @Date 2024/6/14 10:48
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TargetZbService extends DataVOService<TargetZbRepository, TargetZb, TargetZbVO> {

    public TargetZbVO findByTargetId(String targetId) {
        for (TargetZbVO targetZbVO : findAllVO()) {
            if (targetId.equals(targetZbVO.getTargetId())) {
                return targetZbVO;
            }
        }
        return null;
    }
}
