/**
 * Copyright &copy; 2020-2021  c503-phy All rights reserved.
 */
package com.c503.ca.cadv.module.log.service;

import com.c503.ca.cadv.common.mvc.service.DataVOService;
import com.c503.ca.cadv.module.log.domain.LogOperate;
import com.c503.ca.cadv.module.log.domain.vo.LogOperateVO;
import com.c503.ca.cadv.module.log.repository.LogOperateRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 用户操作日志服务类
 * </p>
 *
 * @author steveshang
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LogOperateService extends DataVOService<LogOperateRepository, LogOperate, LogOperateVO> {

}
