package com.c503.ca.cadv.module.log.util;

import com.c503.ca.cadv.common.util.spring.SpringContextHolder;
import com.c503.ca.cadv.module.log.service.LogOperateService;

public class LogHelper {

    private static volatile LogOperateService logOperateService;

    public static LogOperateService getOperateService() {
        if (logOperateService == null) {
            synchronized (LogOperateService.class) {
                if (logOperateService == null) {
                    logOperateService = SpringContextHolder.getBean(LogOperateService.class);
                }
            }
        }
        return logOperateService;
    }

}
