package com.c503.ca.cadv.module.log.util.interceptor;

import com.c503.ca.cadv.common.constant.SecurityConstants;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 日志拦截器配置
 *
 * @author liaow
 */
@Configuration
public class LogInterceprotConfiguration implements WebMvcConfigurer {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(new OperateLogInterceptor()).addPathPatterns("/**")
            .excludePathPatterns(SecurityConstants.STATIC_RESOURCES);
    }
}
