package com.c503.ca.cadv.module.plan.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.DataEntityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author huyouxiang
 * @date 2023/12/19 8:45
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "ConfigFile对象", description = "注入配置")
public class ConfigFileVO extends DataEntityVO<String> {

    @ApiModelProperty(value = "注入配置名")
    private String fileName;

    @ApiModelProperty(value = "目标码")
    private String objectCode;

    private List<FileDataVO> fileDataList;
}
