package com.c503.ca.cadv.module.plan.util;

import com.c503.ca.cadv.common.util.spring.SpringContextHolder;
import com.c503.ca.cadv.module.plan.service.FileDataService;

/**
 * @Author hyx
 * @Date 2024/6/17 15:05
 */
public class PlanHelper {

    private static volatile FileDataService fileDataService;

    public static FileDataService getFileDataService() {
        if (fileDataService == null) {
            synchronized (FileDataService.class) {
                if (fileDataService == null) {
                    fileDataService = SpringContextHolder.getBean(FileDataService.class);
                }
            }
        }
        return fileDataService;
    }
}
