package com.c503.ca.cadv.module.sys.domain.query;

import lombok.Data;

import java.io.Serializable;

@Data
public class DictComboData implements Serializable {

    public static final String F_NAME = "name";
    public static final String F_ID = "id";
    public static final String F_PID = "pId";
    public static final String F_CODE = "code";
    public static final String F_KEY = "key";
    private static final long serialVersionUID = 1L;
    //给前端用的id，实际是字典的value
    private String id;
    private String name;
    private String code;
    private String color;
    //字典实际id
    private String did;

    public DictComboData() {
    }

    public DictComboData(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public DictComboData(String did, String id, String name, String code, String color) {
        this.did = did;
        this.id = id;
        this.name = name;
        this.code = code;
        this.color = color;
    }

}
