package com.c503.ca.cadv.module.sys.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.TreeEntityVO;
import com.c503.ca.cadv.common.util.annotation.DictType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class DictVO extends TreeEntityVO {

    public static final String F_CODE = "code";
    private static final long serialVersionUID = 1L;

    /*** 编码 */
    private String code;

    /*** 字典值 */
    private String val;

    /*** 资源文件key */
    private String showName;

    /*** key */
    private String key;

    @DictType(name = "sys_yes_no")
    private Integer isShow = 1;

    private String parentCode;

    @ApiModelProperty(value = "值颜色")
    private String color;

}
