package com.c503.ca.cadv.module.sys.service;

import com.c503.ca.cadv.common.util.EnumUtils;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 系统初始化程序
 *
 * @author liaow
 */
@Component
@Order(100)
public class SystemInitializer implements CommandLineRunner {

    /**
     * 启动时初始化所有枚举
     */
    public static void initEnumMap() {
        EnumUtils.getIEnumBeanDefinitionNames();
    }

    @Override
    public void run(String... args) {
        initEnumMap();
    }
}
