/*
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package ${package.Service};

import ${package.Entity}.${entity};
import ${package.Entity}.vo.${entity}VO;
import ${package.Mapper}.${table.mapperName};
import ${superServiceClassPackage};
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
* <p>
* ${table.comment!} 服务类
* </p>
*
* @author ${author}
*/
@Service
@Transactional(rollbackFor = Exception.class)
public class ${table.serviceName} extends ${superServiceClass}<${table.mapperName}, ${entity}, ${entity}VO>  {

}
