package com.c503.ca.cadv.common.config;

import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;
import java.util.TimeZone;

/**
 * 设置默认时区，服务端数据统一采用UTC时间
 *
 * @author liaow
 */
@Configuration
public class TimeZoneConfiguration {

    @PostConstruct
    void started() {
        TimeZone.setDefault(TimeZone.getTimeZone("UTC"));
    }
}
