package com.c503.ca.cadv.common.util;

import org.junit.Test;

import java.util.Date;

import static org.assertj.core.api.Assertions.assertThat;

public class DateUtilsTest {

    @Test
    public void parseDate() {
        Date date = DateUtils.parseDate("2019-06-20T16:00:53.000+08:00", TimeZoneEnum.UTC.value());
        assertThat(date).isEqualTo(new Date(1561017653000L));

        date = DateUtils.parseDate("2019-06-20 11:00:53.009", TimeZoneEnum.UTC.value());
        assertThat(date).isEqualTo(new Date(1561028453009L));
    }

}
