package com.c503.ca.cadv.enhance.arthas;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;

@ConditionalOnProperty(name = "spring.arthas.enabled", matchIfMissing = true)
public class ArthasEndPointAutoConfiguration {
    public ArthasEndPointAutoConfiguration() {
    }

    @Bean
    @ConditionalOnMissingBean
    public ArthasEndPoint arthasEndPoint() {
        return new ArthasEndPoint();
    }
}
