## 配置

```yaml
spring:
  quartz:
    job-store-type: jdbc
    jdbc.initialize-schema: EMBEDDED
    properties:
      org.quartz:
        scheduler:
          instanceName: quartz
          instanceId: AUTO
          batchTriggerAcquisitionMaxCount: 50
        jobStore:
          class: org.quartz.impl.jdbcjobstore.JobStoreTX
          driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
          tablePrefix: qrtz_
          isClustered: true
          clusterCheckinInterval: 20000
          useProperties: false
        threadPool:
          class: org.quartz.simpl.SimpleThreadPool
          threadCount: 3
          threadPriority: 3
          threadsInheritContextClassLoaderOfInitializingThread: true
```
