package com.c503.ca.cadv.enhance.quartz.excutor;

import com.c503.ca.cadv.enhance.quartz.domain.TaskScheduleJob;
import com.c503.ca.cadv.enhance.quartz.util.TaskScheduleUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.stereotype.Component;

@Component
public class QuartzJobFactory implements Job {


    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        TaskScheduleJob taskScheduleJob = (TaskScheduleJob) context.getMergedJobDataMap().get("taskScheduleJob");
        TaskScheduleUtils.invokMethod(taskScheduleJob);
    }
}
