package com.c503.ca.cadv.module.check.domain;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.Data;

import java.util.List;

@Data
@XStreamAlias("stLoadData")
public class StLoadDataXDO {

    @XStreamAlias("szData")
    @XStreamImplicit
    private List<String> szData;

    @XStreamAlias("ucLevNo")
    @XStreamImplicit
    private List<String> ucLevNoList;

    @XStreamAlias("uiCmdNum")
    @XStreamImplicit
    private List<String> uiCmdNumList;

    @XStreamAlias("stCmdInfo")
    @XStreamImplicit
    private List<StCmdInfoXDO> stCmdInfoList;

    private List<List<StCmdInfoXDO>> stCmdInfoGroupList;
}
