package com.c503.ca.cadv.module.check.domain.orin.rsbeod;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author jintch
 */
@Data
@XStreamAlias("struRsbeoData")
public class StruRsbeoData {

    /**
     * 中继时间
     */
    @XStreamAlias("tEpoch")
    private String tEpoch;

    /**
     * 位置X轴角度
     */
    @XStreamAlias("dObjectA")
    private String dObjectA;

    /**
     * 位置Y轴角度
     */
    @XStreamAlias("dObjectB")
    private String dObjectB;
}
