package com.c503.ca.cadv.module.check.web;

import com.c503.ca.cadv.module.check.util.CheckUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author hyx
 * @Date 2024/6/14 10:54
 */
@RestController
@RequestMapping("/check/")
@Api(tags = "check")
public class CheckResource {

    @GetMapping("check")
    @ApiModelProperty(value = "校核")
    public Object check(@RequestParam("targetCode") String targetCode, @RequestParam("fillName") String fileName) {
        return CheckUtil.check(targetCode, fileName);
    }
}
