package com.c503.ca.cadv.module.cluster.core.model;

import java.io.Serializable;

/**
 * 业务消息对象
 *
 * @author Mr.Lee
 * @date 2021/07/07 20:51
 **/
public class BusinessMsg implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6774448550525298747L;
	/**
	 * 消息类型
	 */
	private Integer type;
	// 具体消息对象
    private Object content;

    public BusinessMsg(Object content,Integer type) {
        this.content = content;
        this.type = type;
    }

    public Object getContent() {
        return content;
    }

    public void setContent(Object content) {
        this.content = content;
    }

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
    
}
