package com.c503.ca.cadv.module.cluster.core.model;

import java.io.Serializable;

/**
 * 节点状态:1、ip地址 2、cpu信息 3、内存信息。
 *
 * @author Mr.Lee
 * @date 2021/06/30 09:09
 **/
public class NodeStatus implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -4795878560995609226L;

	private Node node;

    private String status;

    // private HashMap<String, Object> cpuPercMap ;
    // private HashMap<String, Object> memoryMap;


    public NodeStatus(Node node, String status) {
        this.node = node;
        this.status = status;
    }

    public Node getNode() {
        return node;
    }

    public void setNode(Node node) {
        this.node = node;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
