package com.c503.ca.cadv.module.cluster.core.monitor;

import com.c503.ca.cadv.module.cluster.core.model.Node;
import java.util.Set;

/**
 * 工具类
 *
 * @author Mr.Lee
 * @date 2021/07/02 10:46
 **/

public class ClusterUtils {

    /**
     * @Description: 根据节点的唯一服务IP判断节点列表中是否包含某个节点
     * @Author: Mr.Lee
     * @Date: 2021-7-2 10:49
     * @Param:
     * @Return:
     */
    public static boolean isContainsNode(Set<Node> nodesSet , Node node) {
        boolean flag = false;
        for (Node n : nodesSet) {
            if (n.equals(node)) {
                flag = true;
                break;
            }
        }
        return flag;
    }

}
