package com.c503.ca.cadv.module.cmp.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("rev_cal_config")
public class RevCalConfig extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    @TableField("source_value")
    private String sourceValue;

    @TableField("target_value")
    private String targetValue;

    @TableField("target_code")
    private String targetCode;

    @TableField("type_")
    private Integer type;

    @TableField("precision_")
    private String precision;

    @TableField("allowable_error")
    private String allowableError;

    @TableField(exist = false)
    private List<RevCalCmdParam> revCalCmdParamList;

}
