package com.c503.ca.cadv.module.cmp.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.DataEntityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="RevCalCompCmdParam对象", description="反算比对特殊配置参数绑定")
public class RevCalCmdParamVO extends DataEntityVO<String> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "反算比对特殊配置Id")
    private String configId;

    @ApiModelProperty(value = "指令代号")
    private String cmdCode;

    @ApiModelProperty(value = "指令参数序号")
    private String dataNo;

    @ApiModelProperty(value = "目标码")
    private String targetCode;

    @ApiModelProperty(value = "指令参数名称")
    private String cmdParamName;

    @ApiModelProperty(value = "参数类型")
    private Integer type;
}
