package com.c503.ca.cadv.module.cmp.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.DataEntityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="RevCalConfig对象", description="反算比对特殊配置")
public class RevCalConfigVO extends DataEntityVO<String> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "原值,type为0时有效")
    private String sourceValue;

    @ApiModelProperty(value = "可匹配值,type为0时有效")
    private String targetValue;

    @ApiModelProperty(value = "目标码")
    private String targetCode;

    @ApiModelProperty(value = "类型:0为等价,1为精度")
    private Integer type;

    @ApiModelProperty(value = "精度,type为1时有效")
    private String precision;

    @ApiModelProperty(value = "允许误差,type为2时有效")
    private String allowableError;
}
