package com.c503.ca.cadv.module.cmp.util;

import com.c503.ca.cadv.common.util.spring.SpringContextHolder;
import com.c503.ca.cadv.module.cmp.service.FillConfigService;

/**
 * @Author hyx
 * @Date 2024/6/18 11:09
 */
public class CmpHelper {

    private static volatile FillConfigService fillConfigService;

    public static FillConfigService getFillConfigService() {
        if (fillConfigService == null) {
            synchronized (FillConfigService.class) {
                if (fillConfigService == null) {
                    fillConfigService = SpringContextHolder.getBean(FillConfigService.class);
                }
            }
        }
        return fillConfigService;
    }
}
