package com.c503.ca.cadv.module.config.domain;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class UserDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    protected String id;

    protected String description;

    private String loginId;

    private String orgId;

    private OrgDTO org;

    private String name;

    private String phone;

    private String email;

    private String langKey;

    private Boolean isScreen;

    private Date resetDate = null;

    protected Integer status;

    private String roleNames;

    private List<String> roleIdList;

    private List<RoleDTO> roles = new ArrayList<>();

    private List<JobDTO> jobs = new ArrayList<>();

}
