package com.c503.ca.cadv.module.ge.domain;

import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class CmdAndCmdParam extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    /**
     * 所属指令ID
     */
    private String cmdId;

    private String code;

    private String groupNo;

    private String noInGroup;

    /**
     * 参数序号
     */
    private Integer dataNo;

    /**
     * 长度
     */
    private Integer len;

    /**
     * 参数类型
     */
    private Integer type;

    /**
     * 量纲
     */
    private String dimen;

    /**
     * 标称值
     */
    private String fix;


    /**
     * 意义
     */
    private String explain;

    /**
     * 取值路径
     */
    private String paraPath;

    /**
     * 取值范围
     */
    private String valueRange;

    /**
     * 识别字
     */
    private String keyStr;

    /**
     * 指令代号
     */
    private String cmdCode;

    /**
     * 目标码
     */
    private String objectCode;

    private String objectName;
}
