package com.c503.ca.cadv.module.ge.domain.xdo;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;
import lombok.Data;

import java.util.List;

@Data
@XStreamAlias("stCmdInfo")
public class CmdXDO {

    /**
     * 任务码
     */
    @XStreamAlias("szMissionNo")
    private String missionNo;

    /**
     * 目标码
     */
    @XStreamAlias("szObjectCode")
    private String objectCode;

    /**
     * 指令序号
     */
    @XStreamAlias("szCmdNo")
    private String cmdNo;

    /**
     * 指令代号
     */
    @XStreamAlias("szCmdCode")
    private String cmdCode;

    /**
     * 指令名称
     */
    @XStreamAlias("szCmdName")
    private String cmdName;

    /**
     * 识别字
     */
    @XStreamAlias("szKeyStr")
    private String keyStr;

    @XStreamImplicit(itemFieldName = "stV_ZrBlk")
    private List<CmdParamXDO> cmdParamXDOList;
}
