package com.c503.ca.cadv.module.ge.domain.xdo;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 *
 * @author jintch
 * @since 2021/2/20
 */
@XStreamAlias("stObjtCmvInfo")
@Data
public class ValueRangeXDO {


    /**
     * 操作符--等于
     */
    public static final int OPT_SIGN_EQUAL = 12;

    /**
     * 操作符--闭区间
     */
    public static final int CLOSED_INTERVAL = 6;

    /**
     * 操作符
     */
    @XStreamAlias("szOptSign")
    private Integer OPTSign;

    /**
     * 值1
     */
    @XStreamAlias("szValue1")
    private String value1;

    /**
     * 值2
     */
    @XStreamAlias("szValue2")
    private String value2;

    @XStreamAlias("szMean")
    private String mean;
}
