/**
 * Copyright &copy; 2020-2021  c503-htphy All rights reserved.
 */
package com.c503.ca.cadv.module.ge.repository;

import com.c503.ca.cadv.common.mvc.repository.BaseRepository;
import com.c503.ca.cadv.module.ge.domain.CmdAndCmdParam;
import com.c503.ca.cadv.module.ge.domain.CmdParam;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 通用指令参数表 Mapper 接口
 * </p>
 *
 * @author jintch
 */
@Repository
public interface CmdParamRepository extends BaseRepository<CmdParam> {


    List<CmdAndCmdParam> findParamByObjCode(String objectCode);
}
