package com.c503.ca.cadv.module.ge.util;

import com.c503.ca.cadv.common.util.spring.SpringContextHolder;
import com.c503.ca.cadv.module.ge.service.CmdService;


/**
 * @Author hyx
 * @Date 2024/6/18 13:57
 */
public class CmdHelper {

    private static volatile CmdService cmdService;

    public static CmdService getCmdService() {
        if (cmdService == null) {
            synchronized (CmdService.class) {
                if (cmdService == null) {
                    cmdService = SpringContextHolder.getBean(CmdService.class);
                }
            }
        }
        return cmdService;
    }
}
