/*
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.c503.ca.cadv.common.mvc.domain.IdAutoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
* <p>
*
* </p>
*
* @author jintch
*/
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("info_task")
public class Task extends IdAutoEntity<String> {

    private static final long serialVersionUID = 1L;

    /**
     * 任务码
     */
    @TableField("task_code")
    private String taskCode;
    /**
    * 任务代号
    */
    @TableField("task_no")
    private String taskNo;

    /**
    * 任务名称
    */
    @TableField("task_name")
    private String taskName;

    /**
    * 周期
    */
    @TableField("cycle_")
    private String cycle;

    /**
    * 开始时间
    */
    @TableField("begin_time")
    private Date beginTime;

    /**
    * 结束时间
    */
    @TableField("end_time")
    private Date endTime;

    /**
    * 描述
    */
    @TableField("description_")
    private String description;


}
