/**
* Copyright &copy; 2020-2021  c503-htphy All rights reserved.
*/
package com.c503.ca.cadv.module.info.domain.vo;

import com.c503.ca.cadv.common.mvc.domain.vo.DataEntityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
* <p>
*
* </p>
*
* @author jintch
*/
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value="Task对象", description="")
public class TaskVO extends DataEntityVO<String> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务码")
    private String taskCode;

    @ApiModelProperty(value = "任务代号")
    private String taskNo;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "周期")
    private String cycle;

    @ApiModelProperty(value = "开始时间", example = "1")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间", example = "1")
    private Date endTime;

    @ApiModelProperty(value = "描述")
    private String description;




}
